"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var last_1 = __importDefault(require("lodash/last"));
var React = __importStar(require("react"));
var recompose_1 = require("recompose");
var styled_components_1 = __importDefault(require("styled-components"));
var styled_system_1 = require("styled-system");
var asRendition_1 = __importDefault(require("../../asRendition"));
var utils_1 = require("../../utils");
var Box_1 = require("../Box");
var ContainerBase = styled_components_1.default(Box_1.Box)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t", "\n"], ["\n\t", "\n"])), styled_system_1.textAlign);
var Container = function (props) {
    var gutter = props.theme.space[3];
    var upperLimit = last_1.default(props.theme.breakpoints);
    var maxWidth = utils_1.px(upperLimit - gutter);
    return React.createElement(ContainerBase, __assign({}, props, { maxWidth: maxWidth }));
};
Container.displayName = 'Container';
Container.defaultProps = {};
var setDefaultProps = recompose_1.withProps(function (props) {
    return Object.assign({
        px: 3,
        ml: 'auto',
        mr: 'auto',
    }, props);
});
exports.default = asRendition_1.default(Container, [
    setDefaultProps,
]);
var templateObject_1;
