"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var faCopy_1 = require("@fortawesome/free-regular-svg-icons/faCopy");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var copy_to_clipboard_1 = __importDefault(require("copy-to-clipboard"));
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var utils_1 = require("../../utils");
var Box_1 = require("../Box");
var Flex_1 = require("../Flex");
var ClipboardContainer = styled_components_1.default(Box_1.Box)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tcursor: pointer;\n\t/* We want the clipboard icon slightly smaller, but it should be the same height as normal text so it lines up nicely */\n\tfont-size: 0.875em;\n\tline-height: ", ";\n"], ["\n\tcursor: pointer;\n\t/* We want the clipboard icon slightly smaller, but it should be the same height as normal text so it lines up nicely */\n\tfont-size: 0.875em;\n\tline-height: ",
    ";\n"])), function (props) {
    return utils_1.px(props.theme.lineHeight * props.theme.fontSizes[2]);
});
var CopyContainer = styled_components_1.default(Flex_1.Flex)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\t", " {\n\t\tdisplay: ", ";\n\t}\n\n\t&:hover {\n\t\t", " {\n\t\t\tdisplay: inline;\n\t\t}\n\t}\n"], ["\n\t", " {\n\t\tdisplay: ", ";\n\t}\n\n\t&:hover {\n\t\t", " {\n\t\t\tdisplay: inline;\n\t\t}\n\t}\n"])), ClipboardContainer, function (props) { return (props.show === 'always' ? 'inline' : 'none'); }, ClipboardContainer);
exports.default = (function (_a) {
    var content = _a.content, show = _a.show, children = _a.children, onClick = _a.onClick, otherProps = __rest(_a, ["content", "show", "children", "onClick"]);
    var normalizedText = (content || '').toString().trim();
    return (React.createElement(CopyContainer, __assign({ show: !!children ? show : 'always', flexDirection: "row", flexWrap: "nowrap" }, otherProps),
        children,
        React.createElement(ClipboardContainer, { mx: 2, tooltip: { text: 'Copied!', trigger: 'click' }, onClick: function (e) {
                e.stopPropagation();
                e.preventDefault();
                copy_to_clipboard_1.default(normalizedText);
                if (onClick) {
                    onClick(normalizedText);
                }
            } },
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faCopy_1.faCopy }))));
});
var templateObject_1, templateObject_2;
