/// <reference types="react" />
import { JSONSchema7 as JSONSchema } from 'json-schema';
import { Omit } from '../../common-types';
import { TagProps } from '../Tag';
declare const FilterDescription: ({ filter, ...props }: FilterDescriptionProps) => JSX.Element;
export interface FilterDescriptionProps extends Omit<TagProps, 'value'> {
    filter: JSONSchema;
}
export default FilterDescription;
