/// <reference types="react" />
import { JSONSchema7 as JSONSchema } from 'json-schema';
export interface FilterModalProps {
    addFilter: (filters: EditModel[]) => void;
    onClose: () => void;
    schema: JSONSchema;
    edit: EditModel[];
}
export interface FilterInputProps {
    schema: JSONSchema;
    value: any;
    operator: string;
    onUpdate: (value: any) => void;
}
export interface EditModel {
    field: string;
    operator: string;
    value: string | number | {
        [k: string]: string;
    };
}
export declare const FilterModal: ({ addFilter, onClose, schema, edit, }: FilterModalProps) => JSX.Element;
