import { JSONSchema7 as JSONSchema } from 'json-schema';
import * as React from 'react';
import { FormValidation } from '@rjsf/core';
interface PatternPropertiesFieldProps {
    onKeyChange: (data: any) => (value: string, errorSchema?: FormValidation) => void;
    onPropertyChange: (key: string) => (value: string, errorSchema?: FormValidation) => void;
    onDropPropertyClick: (key: string) => (e: React.MouseEvent) => void;
    formData: any;
    schema: JSONSchema;
}
interface PatternPropertiesFieldState {
    keys: string[];
}
interface ChangeTargetHandlerParams {
    target: {
        value: string;
    };
}
export default class PatternPropertiesField extends React.Component<PatternPropertiesFieldProps, PatternPropertiesFieldState> {
    constructor(props: PatternPropertiesFieldProps);
    handleKeyChange: (key: string) => ({ target: { value } }: ChangeTargetHandlerParams) => void;
    render(): JSX.Element | null;
}
export {};
