"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.TitleField = exports.LegendElement = void 0;
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../../asRendition"));
var utils_1 = require("../../../utils");
exports.LegendElement = styled_components_1.default.legend(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tfont-size: ", ";\n\tcolor: #252629;\n\tmargin-top: 16px;\n\tmargin-bottom: 8px;\n\twidth: 100%;\n"], ["\n\tfont-size: ", ";\n\tcolor: #252629;\n\tmargin-top: 16px;\n\tmargin-bottom: 8px;\n\twidth: 100%;\n"])), function (props) { return utils_1.px(props.theme.fontSizes[2]); });
var TitleFieldBase = function (props) {
    var id = props.id, required = props.required, title = props.title, theme = props.theme;
    if (!title) {
        return null;
    }
    return (React.createElement(exports.LegendElement, { id: id, theme: theme },
        title,
        required && '*'));
};
exports.TitleField = asRendition_1.default(TitleFieldBase);
var templateObject_1;
