"use strict";
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var Flex_1 = require("../../Flex");
var Box_1 = require("../../Box");
var ObjectFieldTemplate = function (props) {
    var _a, _b, _c;
    var TitleField = props.TitleField, DescriptionField = props.DescriptionField;
    var responsive = !!((_a = props.uiSchema['ui:options']) === null || _a === void 0 ? void 0 : _a.responsive);
    var flex = ((_c = (_b = props.uiSchema['ui:options']) === null || _b === void 0 ? void 0 : _b.flex) !== null && _c !== void 0 ? _c : []);
    return (React.createElement("section", null,
        props.schema.title && (props.uiSchema['ui:title'] || props.title) && (React.createElement(TitleField, { id: props.idSchema.$id + "__title", title: props.title || props.uiSchema['ui:title'], required: props.required })),
        props.description && (React.createElement(DescriptionField, { id: props.idSchema.$id + "__description", description: props.description })),
        React.createElement(Flex_1.Flex, { flexDirection: responsive ? 'row' : 'column', flexWrap: responsive ? 'wrap' : 'nowrap' }, props.properties.map(function (prop, index) { return (React.createElement(Box_1.Box, { mr: 2, flex: flex[index] || 1 }, prop.content)); }))));
};
exports.default = ObjectFieldTemplate;
