"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var utils_1 = require("../../utils");
var Txt_1 = __importDefault(require("../Txt"));
var BaseHighlightedName = styled_components_1.default(Txt_1.default.span)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tdisplay: inline-block;\n\tborder-radius: 2px;\n\tline-height: 1;\n"], ["\n\tdisplay: inline-block;\n\tborder-radius: 2px;\n\tline-height: 1;\n"])));
var HighlightedName = function (_a) {
    var children = _a.children, className = _a.className, theme = _a.theme, color = _a.color, props = __rest(_a, ["children", "className", "theme", "color"]);
    if (typeof children !== 'string') {
        throw new Error("The child element of the HighlightedName component must be a string, received: " + typeof children);
    }
    var bgColor = utils_1.getColor(Object.assign(props, { theme: theme }), 'bg', 'main') ||
        utils_1.generateColorFromString(children);
    return (React.createElement(BaseHighlightedName, __assign({}, props, { className: className, p: 2, fontSize: 2, color: color || utils_1.isLight(bgColor) ? theme.colors.text.main : '#fff', bg: bgColor }), children));
};
exports.default = asRendition_1.default(HighlightedName, [], ['bg', 'color']);
var templateObject_1;
