/// <reference types="react" />
import { PartialDeep } from 'lodash/index';
import { DefaultProps, Theme } from '../../common-types';
declare const Provider: ({ theme, ...props }: ThemedProvider) => JSX.Element;
export interface ThemedProvider extends DefaultProps {
    theme?: PartialDeep<Theme>;
}
export default Provider;
