import * as React from 'react';
import { DefaultProps, RenditionSystemProps } from '../../common-types';
export interface InternalStepsProps extends DefaultProps {
    bordered?: boolean;
    ordered?: boolean;
    activeStepIndex?: number;
    titleText?: string;
    titleIcon?: React.ReactNode;
    onClose?: () => void;
}
declare type statusOptions = 'none' | 'pending' | 'completed';
export interface StepProps {
    children: string;
    status: statusOptions;
    onClick?: () => void;
}
export declare const Step: React.FunctionComponent<StepProps>;
export declare type StepsProps = InternalStepsProps & RenditionSystemProps;
declare const _default: React.ForwardRefExoticComponent<InternalStepsProps & import("../../common-types").Tooltip & import("../../common-types").StyledSystemProps & React.RefAttributes<HTMLDivElement>>;
export default _default;
