"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Step = void 0;
var faCheckCircle_1 = require("@fortawesome/free-solid-svg-icons/faCheckCircle");
var faCircle_1 = require("@fortawesome/free-solid-svg-icons/faCircle");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var findIndex_1 = __importDefault(require("lodash/findIndex"));
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var Arrow_1 = __importDefault(require("../../internal/Arrow"));
var DismissableContainer_1 = require("../../internal/DismissableContainer");
var Flex_1 = require("../Flex");
var Heading_1 = __importDefault(require("../Heading"));
var Link_1 = __importDefault(require("../Link"));
var Txt_1 = __importDefault(require("../Txt"));
var Box_1 = require("../Box");
var utils_1 = require("../../utils");
var StepIconWrapper = styled_components_1.default(Flex_1.Flex)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\talign-items: center;\n\tjustify-content: center;\n\tfont-size: ", ";\n"], ["\n\talign-items: center;\n\tjustify-content: center;\n\tfont-size: ", ";\n"])), function (props) { return utils_1.px(props.theme.fontSizes[5]); });
var StepIconLabel = styled_components_1.default(Txt_1.default)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tfont-size: ", ";\n\theight: ", ";\n\twidth: ", ";\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n\tfont-variant-numeric: tabular-nums;\n"], ["\n\tfont-size: ", ";\n\theight: ", ";\n\twidth: ", ";\n\tdisplay: flex;\n\talign-items: center;\n\tjustify-content: center;\n\tfont-variant-numeric: tabular-nums;\n"])), function (props) { return utils_1.px(props.theme.fontSizes[3]); }, function (props) { return utils_1.px(props.theme.fontSizes[5]); }, function (props) { return utils_1.px(props.theme.fontSizes[5]); });
var OutlineCircle = styled_components_1.default(Box_1.Box)(templateObject_3 || (templateObject_3 = __makeTemplateObject(["\n\tfont-size: ", ";\n\theight: ", ";\n\twidth: ", ";\n\tborder: 1px solid;\n\tborder-radius: 50%;\n"], ["\n\tfont-size: ", ";\n\theight: ", ";\n\twidth: ", ";\n\tborder: 1px solid;\n\tborder-radius: 50%;\n"])), function (props) { return utils_1.px(props.theme.fontSizes[3]); }, function (props) { return utils_1.px(props.theme.fontSizes[5]); }, function (props) { return utils_1.px(props.theme.fontSizes[5]); });
var StepIcon = function (_a) {
    var ordered = _a.ordered, status = _a.status, active = _a.active, index = _a.index;
    if (status === 'none') {
        return null;
    }
    if (status === 'completed' && !active) {
        return (React.createElement(StepIconWrapper, { mr: 2, color: "success.main" },
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faCheckCircle_1.faCheckCircle })));
    }
    if (ordered && active) {
        return (React.createElement(StepIconWrapper, { mr: 2, className: 'fa-layers', color: "primary.main" },
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faCircle_1.faCircle }),
            React.createElement(StepIconLabel, { className: "fa-layers-text fa-inverse" }, index + 1)));
    }
    if (ordered && !active) {
        return (React.createElement(StepIconWrapper, { mr: 2, className: 'fa-layers', color: "tertiary.semilight" },
            React.createElement(OutlineCircle, null),
            React.createElement(StepIconLabel, { className: "fa-layers-text" }, index + 1)));
    }
    return (React.createElement(StepIconWrapper, { mr: 2, color: "tertiary.semilight" },
        React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faCheckCircle_1.faCheckCircle })));
};
var StepBase = function (_a) {
    var ordered = _a.ordered, active = _a.active, index = _a.index, status = _a.status, children = _a.children, onClick = _a.onClick;
    if (typeof children !== 'string') {
        throw new Error('The child of a Step has to be a string.');
    }
    return (React.createElement(Flex_1.Flex, { flexDirection: "row", justifyContent: "center", alignItems: "center", fontSize: 2 },
        React.createElement(StepIcon, { ordered: Boolean(ordered), status: status, active: Boolean(active), index: index }),
        onClick ? (React.createElement(Link_1.default, { onClick: onClick }, children)) : (React.createElement(Txt_1.default, { bold: active, color: active ? undefined : 'tertiary.light' }, children))));
};
exports.Step = StepBase;
var FramelessSteps = function (_a) {
    var ordered = _a.ordered, activeStepIndex = _a.activeStepIndex, children = _a.children, otherProps = __rest(_a, ["ordered", "activeStepIndex", "children"]);
    return (React.createElement(Flex_1.Flex, __assign({ mx: "auto", flexDirection: "row", alignItems: "center", flexWrap: "wrap" }, otherProps), React.Children.map(children, function (step, index) {
        if (step.type !== exports.Step) {
            throw new Error('You can only use Step components as children of Steps.');
        }
        var firstPendingStepIndex = findIndex_1.default(children, {
            props: { status: 'pending' },
        });
        var enableNextStep = !ordered ||
            firstPendingStepIndex === -1 ||
            firstPendingStepIndex > index;
        var allPrevStepsComplete = firstPendingStepIndex === -1 || firstPendingStepIndex >= index;
        var onClick = !ordered ||
            index < activeStepIndex ||
            (index !== activeStepIndex && allPrevStepsComplete)
            ? step.props.onClick
            : undefined;
        return (React.createElement(Flex_1.Flex, { flexDirection: "row", alignItems: "center" },
            React.cloneElement(step, {
                ordered: ordered,
                index: index,
                onClick: onClick,
                active: activeStepIndex === index,
            }),
            index < children.length - 1 && (React.createElement(Flex_1.Flex, { justifyContent: "center", alignItems: "center", mx: 3 },
                React.createElement(Arrow_1.default, { disabled: !enableNextStep })))));
    })));
};
var Steps = React.forwardRef(function (_a, ref) {
    var theme = _a.theme, className = _a.className, children = _a.children, ordered = _a.ordered, bordered = _a.bordered, activeStepIndex = _a.activeStepIndex, titleText = _a.titleText, titleIcon = _a.titleIcon, onClose = _a.onClose;
    if (ordered) {
        if (typeof activeStepIndex !== 'number') {
            throw new Error('You must specify the activeStepIndex for ordered Steps');
        }
        else {
            var stepCount = React.Children.count(children);
            if (activeStepIndex < 0 || activeStepIndex >= stepCount) {
                throw new Error('activeStepIndex is out of range');
            }
        }
    }
    return (React.createElement(DismissableContainer_1.DismissableContainer, { className: className, flexDirection: "row", justifyContent: "space-between", flexWrap: "wrap", alignItems: "center", onDismiss: onClose, baselineHeight: theme.fontSizes[3] * theme.lineHeight, bordered: bordered, ref: ref },
        (titleText || titleIcon) && (React.createElement(Flex_1.Flex, { minHeight: theme.fontSizes[5], justifyContent: "center", alignItems: "center", ml: 2, mr: 4 },
            titleIcon && (React.createElement(Txt_1.default, { fontSize: 2, mr: 2, color: "tertiary.semilight" }, titleIcon)),
            titleText && (React.createElement(Heading_1.default.h6, { color: "tertiary.main" }, titleText)))),
        React.createElement(FramelessSteps, { ordered: Boolean(ordered), activeStepIndex: activeStepIndex }, children)));
});
Steps.defaultProps = {
    bordered: true,
    ordered: false,
};
exports.default = asRendition_1.default(Steps);
var templateObject_1, templateObject_2, templateObject_3;
