"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Tag = void 0;
var faTimes_1 = require("@fortawesome/free-solid-svg-icons/faTimes");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var Button_1 = __importDefault(require("../Button"));
var Flex_1 = require("../Flex");
var Txt_1 = __importDefault(require("../Txt"));
var Container = styled_components_1.default(Flex_1.Flex)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tbackground-color: ", ";\n\tborder: 1px solid ", ";\n\tborder-radius: 2px;\n\tline-height: 1.5;\n"], ["\n\tbackground-color: ", ";\n\tborder: 1px solid ", ";\n\tborder-radius: 2px;\n\tline-height: 1.5;\n"])), function (props) { return props.theme.colors.info.light; }, function (props) { return props.theme.colors.info.main; });
var DeleteButton = styled_components_1.default(Button_1.default)(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\tcolor: ", ";\n"], ["\n\tcolor: ", ";\n"])), function (props) { return props.theme.colors.tertiary.semilight; });
var TagBase = function (_a) {
    var name = _a.name, operator = _a.operator, value = _a.value, multiple = _a.multiple, onClose = _a.onClose, onClick = _a.onClick, className = _a.className;
    var tagArray = multiple || [{ name: name, operator: operator, value: value }];
    var tagContent = (React.createElement(Container, { py: 1, px: 2 }, tagArray.map(function (tagEntry, index) {
        var nameValueSeparator = tagEntry.operator
            ? " " + tagEntry.operator + " "
            : ': ';
        return (React.createElement(React.Fragment, { key: index },
            index > 0 && (React.createElement(Txt_1.default, { whitespace: "pre", color: "info.main", fontSize: 1, italic: true }, "  " + (tagEntry.prefix || ',') + "  ")),
            !tagEntry.value && !tagEntry.name && (React.createElement(Txt_1.default, { italic: true, color: "info.main", fontSize: 1 }, "no value")),
            tagEntry.name && (React.createElement(Txt_1.default, { whitespace: "pre", color: "info.main", fontSize: 1 }, "" + tagEntry.name + (tagEntry.value ? nameValueSeparator : ''))),
            tagEntry.value && (React.createElement(Txt_1.default, { bold: true, color: "info.main", fontSize: 1 }, tagEntry.value))));
    })));
    return (React.createElement(Flex_1.Flex, { className: className },
        onClick ? (React.createElement(Button_1.default, { plain: true, onClick: onClick }, tagContent)) : (tagContent),
        onClose && (React.createElement(DeleteButton, { plain: true, p: 1, pl: 2, pr: 3, fontSize: 1, onClick: onClose },
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { icon: faTimes_1.faTimes })))));
};
exports.Tag = asRendition_1.default(TagBase);
var templateObject_1, templateObject_2;
