import { JsonSchemaRendererProps } from '../index';
declare type UiSchemaMetaSchema = {
    title?: string;
    description?: string;
    type: string | string[];
    properties: {
        [key: string]: any;
    };
};
declare type MetaSchemaArgs = Pick<JsonSchemaRendererProps, 'value' | 'schema' | 'uiSchema' | 'extraContext'>;
export declare const generateUiSchemaMetaSchema: ({ value: unprocessedValue, uiSchema, schema, extraContext, }: MetaSchemaArgs) => UiSchemaMetaSchema;
export {};
