"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var React = __importStar(require("react"));
var Img_1 = __importDefault(require("../../../components/Img"));
var ui_options_1 = require("./ui-options");
var types_1 = require("../types");
var ImgWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    return React.createElement(Img_1.default, __assign({}, props, { src: value.toString() }));
};
ImgWidget.uiOptions = {
    alt: ui_options_1.UiOption.string,
    height: ui_options_1.UiOption.integer,
    width: ui_options_1.UiOption.integer,
    crossorigin: __assign(__assign({}, ui_options_1.UiOption.string), { enum: ['anonymous', 'use-credentials'] }),
    decoding: __assign(__assign({}, ui_options_1.UiOption.string), { enum: ['sync', 'async', 'auto'] }),
    loading: __assign(__assign({}, ui_options_1.UiOption.string), { enum: ['eager', 'lazy'] }),
    sizes: ui_options_1.UiOption.string,
    srcset: ui_options_1.UiOption.string,
};
ImgWidget.supportedTypes = [types_1.JsonTypes.string];
exports.default = ImgWidget;
