import { Theme } from '../common-types';
export declare const getLegibleTextColor: ((bg: string, contrast?: any) => string) & import("lodash").MemoizedFunction;
export declare const generateColorFromString: ((text: string) => string) & import("lodash").MemoizedFunction;
export declare const isLight: (color?: string | undefined) => boolean;
export declare const opaque: (color: string, opacity: number) => string;
export declare const lighten: (color: string) => string;
export declare const darken: (color: string, amount?: number | undefined) => string;
export declare const getColoringType: (props: {
    [key: string]: any;
    theme: Theme;
}) => string | undefined;
export declare const getColor: (props: {
    [key: string]: any;
    theme: Theme;
}, key: string, shade: 'main' | 'light' | 'dark') => string | undefined;
