import * as React from 'react';
import { DefaultProps, RenditionSystemProps } from '../../../common-types';
import { Value, JSONSchema, UiSchema } from '../types';
interface InternalJsonSchemaRendererPlaygroundProps extends DefaultProps {
    title?: string;
    examples?: {
        [key: string]: {
            value: Value;
            schema: JSONSchema;
            uiSchema: UiSchema;
        };
    };
}
export declare type JsonSchemaRendererPlaygroundProps = InternalJsonSchemaRendererPlaygroundProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<JsonSchemaRendererPlaygroundProps>;
export default _default;
