import { __assign, __rest } from "tslib";
import * as React from 'react';
import HighlightedName from '../../../components/HighlightedName';
import { UiOption } from './ui-options';
import { JsonTypes } from '../types';
var HighlightedNameWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    return React.createElement(HighlightedName, __assign({}, props), value.toString());
};
HighlightedNameWidget.uiOptions = {
    bg: UiOption.string,
    color: UiOption.string,
};
HighlightedNameWidget.supportedTypes = [
    JsonTypes.string,
    JsonTypes.integer,
    JsonTypes.number,
    JsonTypes.boolean,
];
export default HighlightedNameWidget;
