import { __assign, __rest } from "tslib";
import * as React from 'react';
import { Tag } from '../../../components/Tag';
import { UiOption } from './ui-options';
import { JsonTypes } from '../types';
var TagWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    return React.createElement(Tag, __assign({}, props, { value: value.toString() }));
};
TagWidget.uiOptions = {
    operator: UiOption.boolean,
    name: UiOption.string,
};
TagWidget.supportedTypes = [
    JsonTypes.string,
    JsonTypes.integer,
    JsonTypes.number,
];
export default TagWidget;
