import { __extends } from "tslib";
import React from 'react';
import { Flex } from '../../components/Flex';
import Alert from '../../components/Alert';
var DefaultErrorDisplay = function () { return (React.createElement(Flex, { flex: 1, alignItems: "center", justifyContent: "center" },
    React.createElement(Alert, { m: 2, plaintext: true, danger: true }, "Something went wrong"))); };
var ErrorBoundary = (function (_super) {
    __extends(ErrorBoundary, _super);
    function ErrorBoundary(props) {
        var _this = _super.call(this, props) || this;
        _this.state = { error: null };
        return _this;
    }
    ErrorBoundary.getDerivedStateFromError = function (error) {
        return { error: error };
    };
    ErrorBoundary.prototype.render = function () {
        if (this.state.error) {
            return this.props.getErrorDisplay ? (this.props.getErrorDisplay(this.state.error)) : (React.createElement(DefaultErrorDisplay, null));
        }
        return this.props.children;
    };
    return ErrorBoundary;
}(React.Component));
export default ErrorBoundary;
