"use strict";
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.Avatar = void 0;
var React = __importStar(require("react"));
var grommet_1 = require("grommet");
var react_fontawesome_1 = require("@fortawesome/react-fontawesome");
var faUserCircle_1 = require("@fortawesome/free-solid-svg-icons/faUserCircle");
var __1 = require("../../");
var styled_components_1 = require("styled-components");
var styled_system_1 = require("styled-system");
var getInitials = function (firstName, lastName) {
    return "" + ((firstName === null || firstName === void 0 ? void 0 : firstName.charAt(0).toUpperCase()) || '') + ((lastName === null || lastName === void 0 ? void 0 : lastName.charAt(0).toUpperCase()) || '');
};
var AvatarBase = function (_a) {
    var theme = _a.theme, src = _a.src, firstName = _a.firstName, lastName = _a.lastName, emphasized = _a.emphasized, otherProps = __rest(_a, ["theme", "src", "firstName", "lastName", "emphasized"]);
    var initials = getInitials(firstName, lastName);
    return (React.createElement(React.Fragment, null,
        src && (React.createElement(grommet_1.Avatar, __assign({ size: emphasized ? styled_system_1.px(theme.fontSizes[6]) : styled_system_1.px(theme.fontSizes[5]), src: src, background: theme.colors.quartenary.dark }, otherProps))),
        initials && !src && (React.createElement(grommet_1.Avatar, __assign({ background: theme.colors.quartenary.dark, size: emphasized ? styled_system_1.px(theme.fontSizes[6]) : styled_system_1.px(theme.fontSizes[5]) }, otherProps),
            React.createElement(__1.Txt, { color: 'white' }, initials))),
        !initials && !src && (React.createElement(grommet_1.Avatar, __assign({ background: theme.colors.quartenary.dark, size: emphasized ? styled_system_1.px(theme.fontSizes[6]) : styled_system_1.px(theme.fontSizes[5]) }, otherProps),
            React.createElement(react_fontawesome_1.FontAwesomeIcon, { style: {
                    color: theme.colors.quartenary.dark,
                    background: 'white',
                }, size: emphasized ? '3x' : '2x', icon: faUserCircle_1.faUserCircle })))));
};
exports.Avatar = styled_components_1.withTheme(AvatarBase);
