import * as React from 'react';
import { Coloring, RenditionSystemProps, Theme } from '../../common-types';
export interface InternalBadgeProps extends Coloring {
    children: string;
    className?: string;
    shade?: number;
}
export interface ThemedBadgeProps extends InternalBadgeProps {
    theme: Theme;
}
export declare type BadgeProps = InternalBadgeProps & RenditionSystemProps;
declare const _default: React.FunctionComponent<BadgeProps>;
export default _default;
