import * as React from 'react';
declare type CONTAINER = 'top-left' | 'top-right' | 'top-center' | 'bottom-left' | 'bottom-right' | 'bottom-center';
declare type NOTIFICATION_TYPE = 'danger' | 'warning' | 'success' | 'info';
export interface NotificationOptions {
    content: React.ReactNode;
    onDismiss?: () => void;
    id?: string | number;
    duration?: number;
    container?: CONTAINER;
    type?: NOTIFICATION_TYPE;
}
export declare const NotificationsContainer: import("styled-components").StyledComponent<any, any, object, string>;
export declare const notifications: {
    addNotification: (options: React.ReactNode | NotificationOptions) => void;
    removeNotification: (id: string | number) => any;
};
export {};
