"use strict";
var __makeTemplateObject = (this && this.__makeTemplateObject) || function (cooked, raw) {
    if (Object.defineProperty) { Object.defineProperty(cooked, "raw", { value: raw }); } else { cooked.raw = raw; }
    return cooked;
};
var __assign = (this && this.__assign) || function () {
    __assign = Object.assign || function(t) {
        for (var s, i = 1, n = arguments.length; i < n; i++) {
            s = arguments[i];
            for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p))
                t[p] = s[p];
        }
        return t;
    };
    return __assign.apply(this, arguments);
};
var __createBinding = (this && this.__createBinding) || (Object.create ? (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    Object.defineProperty(o, k2, { enumerable: true, get: function() { return m[k]; } });
}) : (function(o, m, k, k2) {
    if (k2 === undefined) k2 = k;
    o[k2] = m[k];
}));
var __setModuleDefault = (this && this.__setModuleDefault) || (Object.create ? (function(o, v) {
    Object.defineProperty(o, "default", { enumerable: true, value: v });
}) : function(o, v) {
    o["default"] = v;
});
var __importStar = (this && this.__importStar) || function (mod) {
    if (mod && mod.__esModule) return mod;
    var result = {};
    if (mod != null) for (var k in mod) if (k !== "default" && Object.hasOwnProperty.call(mod, k)) __createBinding(result, mod, k);
    __setModuleDefault(result, mod);
    return result;
};
var __rest = (this && this.__rest) || function (s, e) {
    var t = {};
    for (var p in s) if (Object.prototype.hasOwnProperty.call(s, p) && e.indexOf(p) < 0)
        t[p] = s[p];
    if (s != null && typeof Object.getOwnPropertySymbols === "function")
        for (var i = 0, p = Object.getOwnPropertySymbols(s); i < p.length; i++) {
            if (e.indexOf(p[i]) < 0 && Object.prototype.propertyIsEnumerable.call(s, p[i]))
                t[p[i]] = s[p[i]];
        }
    return t;
};
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
var grommet_1 = require("grommet");
var React = __importStar(require("react"));
var styled_components_1 = __importDefault(require("styled-components"));
var asRendition_1 = __importDefault(require("../../asRendition"));
var utils_1 = require("../../utils");
var StyledGrommetSelect = styled_components_1.default(grommet_1.Select)(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\tfont-family: ", ";\n\tfont-size: ", ";\n\tfont-weight: normal;\n\t/* The wrapping button component has borders of 1px, and changing it's height messes up the drop alignment, so we subtract the border width on the input */\n\theight: ", ";\n\tpadding: ", ";\n\tpadding-left: 20px;\n"], ["\n\tfont-family: ", ";\n\tfont-size: ", ";\n\tfont-weight: normal;\n\t/* The wrapping button component has borders of 1px, and changing it's height messes up the drop alignment, so we subtract the border width on the input */\n\theight: ",
    ";\n\tpadding: ", ";\n\tpadding-left: 20px;\n"])), function (props) { return props.theme.font; }, function (props) { return utils_1.px(props.theme.fontSizes[2]); }, function (props) {
    return utils_1.px((props.emphasized ? props.theme.space[5] : props.theme.space[4]) - 2);
}, function (props) { return (props.emphasized ? '14px' : '10px'); });
var Container = styled_components_1.default.div(templateObject_2 || (templateObject_2 = __makeTemplateObject(["\n\t& > button {\n\t\twidth: 100%;\n\t\tborder-color: ", ";\n\t}\n"], ["\n\t& > button {\n\t\twidth: 100%;\n\t\tborder-color: ",
    ";\n\t}\n"])), function (_a) {
    var _b;
    var invalid = _a.invalid, theme = _a.theme;
    return invalid ? (_b = theme === null || theme === void 0 ? void 0 : theme.colors) === null || _b === void 0 ? void 0 : _b.danger.main : '';
});
function Select(_a) {
    var size = _a.size, selected = _a.selected, focusIndicator = _a.focusIndicator, margin = _a.margin, className = _a.className, dropProps = _a.dropProps, invalid = _a.invalid, otherProps = __rest(_a, ["size", "selected", "focusIndicator", "margin", "className", "dropProps", "invalid"]);
    return (React.createElement(Container, { invalid: invalid, className: className },
        React.createElement(StyledGrommetSelect, __assign({}, otherProps, { dropProps: __assign(__assign({}, dropProps), { elevation: 'none' }), focusIndicator: false }))));
}
exports.default = asRendition_1.default(Select);
var templateObject_1, templateObject_2;
