import React from 'react';
interface ErrorBoundaryState {
    error: any;
}
interface ErrorBoundaryProps {
    getErrorDisplay?: (error: any) => JSX.Element;
}
export default class ErrorBoundary extends React.Component<ErrorBoundaryProps, ErrorBoundaryState> {
    constructor(props: ErrorBoundaryProps);
    static getDerivedStateFromError(error: any): {
        error: any;
    };
    render(): {} | null | undefined;
}
export {};
