import { __assign, __makeTemplateObject, __rest } from "tslib";
import { RadioButton as GrommetRadioButton, } from 'grommet';
import * as React from 'react';
import styled from 'styled-components';
import asRendition from '../../asRendition';
export var getHoverStyle = function (props) {
    return props.checked
        ? "\n\t& label:hover input + div {\n\t\tborder-color: " + props.theme.colors.primary.dark + ";\n\t\tbackground: " + props.theme.colors.primary.dark + ";\n\t},\n"
        : '';
};
export var getCheckedStyle = function (props) {
    return props.checked
        ? "\n\t& label input + div {\n\t\tborder-color: " + props.theme.colors.primary.main + ";\n\t\tbackground: " + props.theme.colors.primary.main + ";\n\t}\n"
        : '';
};
export var getBaseStyle = function (props) { return "\n\t& > label > span {\n\t\tfont-family: " + props.theme.font + ";\n\t}\n\n\t& label[disabled] {\n\t\topacity: 0.4\n\t}\n"; };
var RadioButtonWrapper = styled.div(templateObject_1 || (templateObject_1 = __makeTemplateObject(["\n\t", "\n\t", "\n\t", "\n"], ["\n\t", "\n\t", "\n\t", "\n"])), getBaseStyle, getCheckedStyle, getHoverStyle);
var RadioButton = function (_a) {
    var className = _a.className, otherProps = __rest(_a, ["className"]);
    return (React.createElement(RadioButtonWrapper, { checked: !!otherProps.checked, className: className },
        React.createElement(GrommetRadioButton, __assign({}, otherProps, { name: otherProps.name || 'radio button' }))));
};
export default asRendition(RadioButton);
var templateObject_1;
