import { __assign, __rest } from "tslib";
import * as React from 'react';
import get from 'lodash/get';
import Heading from '../../../components/Heading';
import { UiOption } from './ui-options';
import { JsonTypes } from '../types';
var HeadingWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, size = _a.size, props = __rest(_a, ["value", "schema", "uiSchema", "size"]);
    var HeadingComponent = get(Heading, "h" + size, Heading.h3);
    return React.createElement(HeadingComponent, __assign({}, props), value.toString());
};
HeadingWidget.uiOptions = {
    size: __assign(__assign({}, UiOption.number), { enum: [1, 2, 3, 4, 5, 6] }),
};
HeadingWidget.supportedTypes = [JsonTypes.string];
export default HeadingWidget;
