import { __assign, __rest } from "tslib";
import * as React from 'react';
import Img from '../../../components/Img';
import { UiOption } from './ui-options';
import { JsonTypes } from '../types';
var ImgWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    return React.createElement(Img, __assign({}, props, { src: value.toString() }));
};
ImgWidget.uiOptions = {
    alt: UiOption.string,
    height: UiOption.integer,
    width: UiOption.integer,
    crossorigin: __assign(__assign({}, UiOption.string), { enum: ['anonymous', 'use-credentials'] }),
    decoding: __assign(__assign({}, UiOption.string), { enum: ['sync', 'async', 'auto'] }),
    loading: __assign(__assign({}, UiOption.string), { enum: ['eager', 'lazy'] }),
    sizes: UiOption.string,
    srcset: UiOption.string,
};
ImgWidget.supportedTypes = [JsonTypes.string];
export default ImgWidget;
