import { __assign, __rest } from "tslib";
import * as React from 'react';
import Link from '../../../components/Link';
import { UiOption } from './ui-options';
import { JsonTypes } from '../types';
var LinkWidget = function (_a) {
    var value = _a.value, schema = _a.schema, uiSchema = _a.uiSchema, props = __rest(_a, ["value", "schema", "uiSchema"]);
    return React.createElement(Link, __assign({}, props), value.toString());
};
LinkWidget.uiOptions = {
    blank: UiOption.boolean,
    download: UiOption.string,
    href: UiOption.string,
    rel: UiOption.string,
    type: UiOption.string,
};
LinkWidget.supportedTypes = [JsonTypes.string];
export default LinkWidget;
